From 66ebdd1d1fecf1fe095aef6d0636dda580d5210e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 09 2020 02:31:48 +0000
Subject: [PATCH 1009/2232] Move fallback to scratch crate's out dir


---

diff --git a/BUCK b/BUCK
index 69b641e..da6fcb2 100644
--- a/BUCK
+++ b/BUCK
@@ -48,7 +48,6 @@ rust_library(
 rust_library(
     name = "build",
     srcs = glob(["gen/build/src/**"]),
-    env = {"OUT_DIR": ""},
     visibility = ["PUBLIC"],
     deps = [
         "//third-party:cc",
diff --git a/BUILD b/BUILD
index 3ada4bc..24a1c8b 100644
--- a/BUILD
+++ b/BUILD
@@ -54,7 +54,6 @@ rust_library(
     name = "build",
     srcs = glob(["gen/build/src/**/*.rs"]),
     data = ["gen/build/src/gen/include/cxx.h"],
-    rustc_env = {"OUT_DIR": ""},
     visibility = ["//visibility:public"],
     deps = [
         "//third-party:cc",
diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 267b8cf..135833b 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -142,8 +142,7 @@ impl Project {
 
         let shared_dir = match target_dir {
             TargetDir::Path(target_dir) => target_dir.join("cxxbridge"),
-            // Use cxx-build's OUT_DIR.
-            TargetDir::Unknown => PathBuf::from(env!("OUT_DIR")),
+            TargetDir::Unknown => scratch::path("cxxbridge"),
         };
 
         Ok(Project {

